> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about the ranking key

> Get information about the ranking key



## OpenAPI

````yaml get /ranking
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /ranking:
    get:
      tags:
        - Ranking Key
      summary: Get information about the ranking key
      description: Get information about the ranking key
      operationId: getRankingKeyInfo
      responses:
        '200':
          description: Returns information about the bot
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  keyInfo:
                    type: object
                    properties:
                      _id:
                        type: string
                      groupId:
                        type: string
                      id:
                        type: string
                      key:
                        type: string
                      name:
                        type: string
                      rankingEnabled:
                        type: boolean
                      enableShouting:
                        type: object
                        properties:
                          allowedRanks:
                            type: array
                            items:
                              type: string
                      enableJoinRequestManagement:
                        type: boolean
                      enableExile:
                        type: boolean
                      created:
                        type: string
                title: GetRankingKeyInfoOk
        '401':
          description: Invalid ID supplied
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  reason:
                    type: string
                    enum:
                      - Unauthorized
                title: GetRankingKeyInfoUnauthorized
      security:
        - ranking_key: []
components:
  securitySchemes:
    ranking_key:
      type: apiKey
      name: api-key
      in: header

````